dbXML API

## com.dbxml.db.admin.swing
Class JLabelListCellRenderer

    java.lang.Object
      com.dbxml.db.admin.swing.JLabelListCellRenderer

All Implemented Interfaces:
  javax.swing.ListCellRenderer

public final class JLabelListCellRenderer
extends java.lang.Object
implements javax.swing.ListCellRenderer

JLabelListCellRenderer

Method Summary
`static JLabelListCellRenderer` `getInstance()`
`java.awt.Component` `getListCellRendererComponent(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean cellHasFocus)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static JLabelListCellRenderer getInstance()

### getListCellRendererComponent

    public java.awt.Component getListCellRendererComponent(javax.swing.JList list,
                                                           java.lang.Object value,
                                                           int index,
                                                           boolean isSelected,
                                                           boolean cellHasFocus)

  Specified by:
    `getListCellRendererComponent` in interface `javax.swing.ListCellRenderer`

dbXML API

Copyright (c) 2004 The dbXML Group